Version conflicts in pom files (1.5.0 release branch

Steps to reproduce

Try to build all modules of r/1.5.0:
mvn clean install -Dall -Dtests

The build will fail with an error like this:

[INFO] Error stacktraces are turned on.
[INFO] Scanning for projects...
[ERROR] The build could not read 1 project -> [Help 1]
org.apache.maven.project.ProjectBuildingException: Some problems were encountered while processing the POMs:
[FATAL] Non-resolvable parent POM: Could not find artifact org.opencastproject:baseom:1.5-SNAPSHOT and 'parent.relativePath' points at wrong local POM @ line 7, column 11
...

For the full error see: http://fpaste.org/83725/43189491/

The reason for that is, that the Matterhorn version was not changed in all of the pom.xml files:

./modules/matterhorn-composer-gstreamer/pom.xml: <version>1.5-SNAPSHOT</version>
./modules/matterhorn-engage-player/pom.xml: <version>1.5-SNAPSHOT</version>
./modules/matterhorn-inspection-service-ffmpeg/pom.xml: <version>1.5-SNAPSHOT</version>
./modules/matterhorn-load-test-engage/pom.xml: <version>1.5-SNAPSHOT</version>
./modules/matterhorn-migration/pom.xml: <version>1.5-SNAPSHOT</version>
./modules/matterhorn-test-harness/pom.xml: <version>1.5-SNAPSHOT</version>

The version of the main pom.xml is 1.5.0-SNAPSHOT and this should be the version of all the modules too.

Status

Assignee

Tobias Wunden

Reporter

Lars Kiesow

Severity

Build Error

Tags (folksonomy)

None

Components

Fix versions

Affects versions

1.5.0

Priority

Blocker
Configure